Cuby: Шадик
21 Сентября 2017, 17:06:56 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
Новости: Расширен список контрагентов. Следствием будет повышение качества выполняемых работ.
 
   Начало   Помощь Поиск Календарь Войти Регистрация  

Модернизация КТФ-7 до ЧПУ - контроллер управления G-CODE

Страниц: [1]   Вниз
  Печать  
Автор Тема: Установка GTk+-3.22  (Прочитано 424 раз)
walery
штиль
Ветеран
**
Сообщений: 3539


модернизаация КТФ-7 до ЧПУ


WWW
« : 24 Марта 2017, 18:16:23 »

Команда ./configure возвращает ошибку :
Цитировать
Requested 'glib-2.0 >= 2.49.4' but version of GLib is 2.40.2
Requested 'atk >= 2.15.1' but version of Atk is 2.10.0
Requested 'pango >= 1.37.3' but version of Pango is 1.36.3
Requested 'cairo >= 1.14.0' but version of cairo is 1.13.1
Requested 'cairo-gobject >= 1.14.0' but version of cairo-gobject is 1.13.1

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables BASE_DEPENDENCIES_CFLAGS
and BASE_DEPENDENCIES_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


похоже надо обновить библиотеки.
А как это сделать?
Записан
walery
штиль
Ветеран
**
Сообщений: 3539


модернизаация КТФ-7 до ЧПУ


WWW
« Ответ #1 : 24 Марта 2017, 19:47:26 »

Установлен пакет GLIb2.50 и при установке пакета atk-2.22.0
Цитировать
checking for GLIB - version >= 2.31.2...
*** 'pkg-config --modversion glib-2.0' returned 2.50.0, but GLIB (2.40.2)
*** was found! If pkg-config was correct, then it is best
*** to remove the old version of GLib. You may also be able to fix the error
*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing
*** /etc/ld.so.conf. Make sure you have run ldconfig if that is
*** required on your system.
*** If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH
*** to point to the correct configuration files
no
Установка Glib прошла, но не в полной мере.
Посмотрим, что можно сделать.  Непонимающий
Записан
Страниц: [1]   Вверх
  Печать  
 
Перейти в:  

Модернизация КТФ-7 до ЧПУ - контроллер управления G-CODE

Powered by MySQL Powered by PHP Powered by SMF 1.1.16 | SMF © 2006-2008, Simple Machines Valid XHTML 1.0! Valid CSS!

Bad Behavior has blocked 2359 access attempts in the last 7 days.